<?xml version="1.0" encoding="utf-8"?>

<creole>
    <variables>
        <family name='samba_backup' description="Créer une archive de sauvegarde Samba">
            <variable name="description" type="string" hidden="True"><value>Créer une archive de sauvegarde Samba</value></variable>
            <variable name="day" type="schedule" description="Périodicité d'exécution" mandatory="True"></variable>
            <variable name="mode" type="schedulemod" hidden="True"><value>pre</value></variable>
        </family>
        <family name='adtrash'>
            <variable name="description" type="string" hidden="True">
                <value>Purge des corbeilles Samba</value>
            </variable>
            <variable name="day" type="schedule" description="Périodicité d’exécution">
                <value>daily</value>
            </variable>
            <variable name="mode" type="schedulemod" hidden="True">
                <value>post</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <fill name='calc_multi_condition' target='schedule.samba_backup.day'>
            <param>non</param>
            <param type='eole' name='condition_1' hidden='False'>activer_samba_backup</param>
            <param name='match'>none</param>
            <param name='mismatch'>daily</param>
        </fill>
    </constraints>
</creole>
